Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77284 - rc launches scripts one-at-a-time that would be faster to start in parallel
Summary: rc launches scripts one-at-a-time that would be faster to start in parallel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 7.3
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-04 17:43 UTC by Benjamin Delfin
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-04 17:45:29 UTC


Attachments (Terms of Use)
Patch for rc file (deleted)
2002-11-04 17:45 UTC, Benjamin Delfin
no flags Details | Diff

Description Benjamin Delfin 2002-11-04 17:43:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
rc launches all kill and start scripts in /etc/rc.d/rc*.d one-at-a-time, 
waiting for each to finish.  By starting up all kill or start scripts with the 
same number (eg. 17 for S17xinetd) in the background, then waiting for all of 
them to finish, startup time can be cut.  There's no reason not to launch non-
network services while waiting for a network service to come up.  Careful 
tweaking to see which packages can be started in parallel will allow for 
significantly lower bootup times.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot Linux normally
2.
3.
	

Additional info:

Comment 1 Benjamin Delfin 2002-11-04 17:45:22 UTC
Created attachment 83530 [details]
Patch for rc file

Comment 2 Bill Nottingham 2002-11-12 04:55:13 UTC
A better solution would be to take actual dependencies into account; we'll
probably look towards doing something in that way in the future.


Note You need to log in before you can comment on or make changes to this bug.